Stable branch support

Revision as of 15:20, 19 October 2009 by Helen Foster (talk | contribs) (dropping support for 1.a.x, 1.6.x, 1.7.x, see also)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Note: This page is a work-in-progress. Feedback and suggested improvements are welcome. Please join the discussion on moodle.org or use the page comments.


Unfortunately it's not possible to continue to provide support for older stable branches of Moodle indefinitely due to the amount of work involved. This page describes the process of dropping support for older stable branches.


Dropping support for 1.a.x

  1. Propose a date in MDLSITE-737 for dropping support for 1.a.x 5 months after the final release
  2. Announce the final release of 1.a.x in the moodle.org news
  3. Update the Moodle version message in the tracker to read: "There will not be another 1.a.x release, but critical bugs may still be backported to the branch until [date 5 months in advance]."
  4. After 5 months, release 1.a.x+ and archive all 1.a.x versions

Dropping support for 1.6.x

  1. Proposed date for dropping support for 1.6.x: 31 July 2009
  2. Announcement: New releases: Moodle 1.9.4, 1.8.8, 1.7.7 and 1.6.9
  3. 1.6.9+ released and 1.6.x versions archived on 31 July 2009. 16_STABLE closed in the tracker.

Dropping support for 1.7.x

  1. Proposed date for dropping support for 1.6.x: 31 October 2009
  2. Announcement: New releases: Moodle 1.9.4, 1.8.8, 1.7.7 and 1.6.9
  3. 1.7.7+ released and 1.7.x versions archived on 31 October 2009. 17_STABLE closed in the tracker.

See also

  • MDLSITE-737 Drop support for 1.6.x and 1.7.x versions in the Tracker